/* eslint-disable import/no-extraneous-dependencies,no-console,no-shadow */
const path = require('path');
const chalk = require('chalk');
const webpack = require('webpack');
const merge = require('webpack-merge');
const { handleCompilationError } = require('./utils');

const { commons } = require('./webpack.common');

module.exports = entryPoint => {
  const commonsPath = path.resolve(entryPoint);
  const commonsConfig = merge(commons, {
    mode: 'production',
    entry: {
      commons: commonsPath
    }
  });

  console.log(`Starting build commons for environment: ${process.env.ENV || 'local'}`);

  webpack(commonsConfig, (err, stats) => {
    handleCompilationError(err, stats);
    console.log(chalk.green('commons build succeeded'));
  });
};
