const { exec, find, cd, set } = require('shelljs');
const { bucket } = require('./conf');
const paths = require('./paths');

module.exports = () => {
  set('-e');

  cd(paths.staticAssets);
  exec(`aws s3 sync . s3://${bucket}/static-assets --delete --cache-control="max-age=3600"`);

  // We need to send the svg files separately adding with the correct content-type
  // because the s3 sync command will treat them as binary/octet-stream
  find('.')
    .filter(file => file.match(/\.svg/))
    .forEach(file => {
      const s3Url = `s3://${bucket}/static-assets/${file}`;
      const opts = "--acl public-read --content-type 'image/svg+xml'";

      exec(`aws s3 cp ${file} ${s3Url} ${opts}`);
    });
};
